ixmldebug.c File Reference
`#include "autoconfig.h"`
`#include "ixmldebug.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
Include dependency graph for ixmldebug.c:

## Functions

void | IxmlPrintf (const char *DbgFileName, int DbgLineNo, const char *FunctionName, const char *FmtStr,...)
| Prints the debug statement either on the standard output or log file along with the information from where this debug statement is coming. More...
void | printNodes (IXML_Node *tmpRoot, int depth)
| Print the node names and values of a XML tree. More...

## Function Documentation

## IxmlPrintf()

void IxmlPrintf | ( | const char * | DbgFileName,
|  | int | DbgLineNo,
|  | const char * | FunctionName,
|  | const char * | FmtStr,
|  |  | ...
| ) |  |

Prints the debug statement either on the standard output or log file along with the information from where this debug statement is coming.

Parameters

  [in] | DbgFileName | The file name, usually FILE.
  [in] | DbgLineNo | The line number, usually LINE or a variable that got the LINE at the appropriate place.
  [in] | FunctionName | The function name.
  [in] | FmtStr | Printf like format specification.

Referenced by printNodes().

## printNodes()

void printNodes | ( | IXML_Node * | tmpRoot,
|  | int | depth
| ) |  |

Print the node names and values of a XML tree.

Parameters

  [in] | tmpRoot | The root of the tree to print.
  [in] | depth | The depth to print.

References DOMString, ixmlNode_getChildNodes(), ixmlNode_getNodeName(), ixmlNode_getNodeType(), ixmlNode_getNodeValue(), ixmlNodeList_item(), and IxmlPrintf().